.checkoutDetailPage {
  background-color: #f7f7f7;
  min-height: 100vh;
  padding-bottom: 200px;

  .backButton {
    position: absolute;
    left: 20px;
    top: 16px;
  }

  .studentSection {
    height: 40px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    color: #333;
    background-color: white;
    margin: 15px 20px 40px;
    border-radius: 6px;
    padding: 11px 17px;

    .studentName {
      font-size: 14px;
    }

    .studentYear {
      font-size: 14px;
      text-align: right;
    }
  }

  .paymentsSection {
    .paymentsItem {
      min-height: 77px;
      align-items: center;
      background-color: white;
      padding: 0px 12px;
      border-top: 1px solid #c4c4c4;


      .paymentsItemHeader {
        display: grid;
        grid-template-columns: 2fr 10fr 5fr 2fr;
        margin-top: 24px;
      }

      .paymentsItemDetails {
        margin: 2px 0px 8px;

        .paymentsItemDetail {
          display: grid;
          grid-template-columns: 2.5fr 10fr 5fr 2fr;
        }
      }

      .paymentsItemAmount {
        text-align: right;
      }

      .paymentsItemShowMore {
        text-align: right;
      }
    }

    .addPayment {
      height: 77px;
      display: grid;
      grid-template-columns: 12fr 2fr;
      align-items: center;
      background-color: white;
      padding: 0px 12px 0px 25px;
      border-top: 1px solid #c4c4c4;
      border-bottom: 1px solid #c4c4c4;

      .addPaymentIcon {
        text-align: right;
      }
    }
  }

  .confirmAmountSection {
    display: block;

    .amountText {
      display: flex;
      justify-content: space-between;
      margin-bottom: 39px;
    }

    .payButton {
      position: fixed !important;
      left: 50%;
      transform: translate(-50%, 0);
      bottom: 20px;
      width: 320px;
      height: 52px;
    }
  }
}
